Subject: Problems with Groups

From: [email-masked] (Bill Nolf - Logicon)
Date: Wed, 20 Dec 1995 08:59:16 -0500

I'm trying to set up group access but can't seem to get it to work.

I downloaded the "guest-howto" from ftp.fni.com but no go.

Here are the problems I having.

1 NcFTP / ->quote site group xxx
200 Request for access to group xxx accepted.
2 NcFTP / ->quote site gpass abcdef
200 Group access enabled.
.
.
.
7 NcFTP ->rename ppp.faq
(to-name) test.faq
ppp.faq: Permission denied. (rename)
8 NcFTP ->delete ppp.faq
ppp.faq: Permission denied. (Delete)

Also, when I login to the group, chroot doesn't seem to work as stated
in the "guest-howto" document.

Here are the relative part of my ftpaccess file:

class   local   real,guest,anonymous *.domain 0.0.0.0
class   remote  real,guest,anonymous *
.
.
.
# allow use of private file for SITE GROUP and SITE GPASS?
private         yes
.
.
.
delete          yes     guest
overwrite       yes     guest
rename          yes     guest
chmod           yes     guest
delete          no      anonymous               # delete permission?
overwrite       no      anonymous               # overwrite permission?
rename          no      anonymous               # rename permission?
chmod           no      anonymous               # chmod permission?
umask           no      anonymous               # umask permission?
.
.
.
path-filter  guest      /etc/pathmsg  ^[-A-Za-z0-9_\.]*$  ^\.  ^-

# specify which group of users will be treated as "guests".
guestgroup abcd

The ftpgroups file is:

xxx:passwd:abcd

I would like to have the group be able to read/write/delete/rename files
within specified set of directories.

I'm running wu-ftpd 2.4 on SunOS 4.1.3.  

Is anyone using groups successfully?  If anybody has any ideas, comments,
etc.  please let me know.  Any help would be greatly appreciated.

Thanks, Bill

++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
Bill Nolf		[email-masked]
Logicon                 Voice: 703-318-1074 ex-202
1831 Wiehle Ave.	Fax: 703-318-1098
Reston, VA  22090
	ITSI BBS ... your link to the world of standards
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++